apiVersion: apps/v1
kind: Deployment
metadata:
  name: landing
  labels:
    env: dev
spec:
  replicas: 1
  selector:
    matchLabels:
      app: landing
      env: dev
  template:
    metadata:
      labels:
        app: landing
        env: dev
    spec:
      enableServiceLinks: false
      containers:
        - name: landing
          image: paynance/landing
          ports:
            - containerPort: 443
---
apiVersion: v1
kind: Service
metadata:
  name: landing-svc
  labels:
    env: dev
spec:
  type: NodePort
  selector:
    app: landing
    env: dev
  ports:
    - protocol: TCP
      port: 8088
      targetPort: 443
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: landing
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
spec:
  rules:
  - host: "landing-dev.k8spaynance.com"
    http:
      paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: landing-svc
              port:
                number: 8088